Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.icatch.jaxws.atomikos
Class SOAPImportingTransactionManagerImp

    java.lang.Object
      com.atomikos.icatch.jaxws.GenericSOAPImportingTransactionManager
          com.atomikos.icatch.jaxws.atomikos.SOAPImportingTransactionManagerImp

All Implemented Interfaces:
  SOAPImportingTransactionManager

    public class SOAPImportingTransactionManagerImp

extends GenericSOAPImportingTransactionManager
implements SOAPImportingTransactionManager

Copyright © 2005, Atomikos. All rights reserved. A helper class to import an Atomikos transaction context contained in an incoming SOAP request message, and to add the necessary information to the corresponding reply when it goes out.

Field Summary

Fields inherited from interface com.atomikos.icatch.jaxws.SOAPImportingTransactionManager
`PROPAGATION_MANDATORY, PROPAGATION_NEVER, PROPAGATION_NOT_SUPPORTED, PROPAGATION_REQUIRED, PROPAGATION_REQUIRES_NEW, PROPAGATION_SUPPORTS`

Constructor Summary
`SOAPImportingTransactionManagerImp()`

Method Summary
`protected javax.xml.soap.SOAPHeaderElement` | `findPropagationHeader(javax.xml.soap.SOAPMessage msg)` Finds a (protocol-specific) propagation header.
`protected CompositeTransaction` | `importTransactionFromHeader(javax.xml.soap.SOAPHeaderElement header, boolean orphanCheck, boolean heurCommit)` Does the actual import
`protected void` | `insertExtentHeader(javax.xml.soap.SOAPMessage msg, String tid, String parentTid, String rootTid, HeuristicMessage[] tags, Hashtable table, long timeout)` Inserts the appropriate extent header into the message.
`protected void` | `removePropagationHeader(javax.xml.soap.SOAPMessage msg)` Removes the propagation header from the message.
`void` | `setCreateJtaTransactions(boolean jta)` Sets whether or not new transactions are JTA transactions or not.
`boolean` | `useJta()`

Methods inherited from class com.atomikos.icatch.jaxws.GenericSOAPImportingTransactionManager
`createNewTransaction, findTransaction, getParentTid, getProperties, importTransaction, logIfDebug, setProperties, terminated`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.atomikos.icatch.jaxws.SOAPImportingTransactionManager
`importTransaction, terminated`

Constructor Detail

### SOAPImportingTransactionManagerImp

    public SOAPImportingTransactionManagerImp()

Method Detail

### setCreateJtaTransactions

    public void setCreateJtaTransactions(boolean jta)

  Sets whether or not new transactions are JTA transactions or not. Defaults to false.

  Parameters:
    `jta` -

### useJta

    public boolean useJta()

### findPropagationHeader

    protected javax.xml.soap.SOAPHeaderElement findPropagationHeader(javax.xml.soap.SOAPMessage msg)
                                                              throws javax.xml.soap.SOAPException

  Description copied from class: `GenericSOAPImportingTransactionManager`
  Finds a (protocol-specific) propagation header. This method merely returns the header, without processing it.

  Specified by:
    `findPropagationHeader` in class `GenericSOAPImportingTransactionManager`
  Returns:
    The header, or null if no propagation is present.
  Throws:
    `javax.xml.soap.SOAPException`
  See Also:
    `com.atomikos.icatch.jaxrpc.GenericSOAPImportingTransactionManager#findPropagationHeader(javax.xml.soap.SOAPMessage)`

### importTransactionFromHeader

    protected CompositeTransaction importTransactionFromHeader(javax.xml.soap.SOAPHeaderElement header,
                                                               boolean orphanCheck,
                                                               boolean heurCommit)
                                                        throws javax.xml.ws.soap.SOAPFaultException,
                                                               javax.xml.soap.SOAPException

  Description copied from class: `GenericSOAPImportingTransactionManager`
  Does the actual import

  Specified by:
    `importTransactionFromHeader` in class `GenericSOAPImportingTransactionManager`
  Returns:
    The transaction as recreated from the header
  Throws:
    `javax.xml.ws.soap.SOAPFaultException`
    `javax.xml.soap.SOAPException`
  See Also:
    `com.atomikos.icatch.jaxrpc.GenericSOAPImportingTransactionManager#importTransactionFromHeader(javax.xml.soap.SOAPHeaderElement)`

### removePropagationHeader

    protected void removePropagationHeader(javax.xml.soap.SOAPMessage msg)
                                    throws javax.xml.soap.SOAPException

  Description copied from class: `GenericSOAPImportingTransactionManager`
  Removes the propagation header from the message.

  Specified by:
    `removePropagationHeader` in class `GenericSOAPImportingTransactionManager`
  Throws:
    `javax.xml.soap.SOAPException`
  See Also:
    `com.atomikos.icatch.jaxrpc.GenericSOAPImportingTransactionManager#removePropagationHeader(javax.xml.soap.SOAPMessage)`

### insertExtentHeader

    protected void insertExtentHeader(javax.xml.soap.SOAPMessage msg,
                                      String tid,
                                      String parentTid,
                                      String rootTid,
                                      HeuristicMessage[] tags,
                                      Hashtable table,
                                      long timeout)
                               throws javax.xml.soap.SOAPException

  Description copied from class: `GenericSOAPImportingTransactionManager`
  Inserts the appropriate extent header into the message.

  Specified by:
    `insertExtentHeader` in class `GenericSOAPImportingTransactionManager`
  Parameters:
    `msg` - The message
    `tid` - The local TID of the imported tx
    `parentTid` - The parent TID at the sender
    `rootTid` - The root TID
    `tags` - The tags
    `table` - The count-> participant information
    `timeout` - The timeout in millis to wait (if applicable)
  Throws:
    `javax.xml.soap.SOAPException`
  See Also:
    `com.atomikos.icatch.jaxrpc.GenericSOAPImportingTransactionManager#insertExtentHeader(javax.xml.soap.SOAPMessage, java.lang.String, java.lang.String, com.atomikos.icatch.HeuristicMessage[], java.util.Hashtable, long)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.